<template>
  <BaseLayout :page-title='title' :default-back-link="`/courses/${this.$route.params.slugCourse}`">
	<div class="video-background">		
		<div class="video-wrapper d-flex ion-justify-content-center ion-align-items-center">
			<iframe :src="guide" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" data-v-c9badc84=""></iframe>
		</div>
	</div>
	<div class="px-1 container course-content">
		<div class="course-content-title-wrapper d-flex ion-justify-content-between">
			<h1>{{ name }}</h1>
		</div>		
		<h3>Prečo sa to učiť?</h3>
		<p class="px-1">{{ why }}</p>
		<div v-if="resources">
			<h3>Užitočné veci</h3>
			<a :href="resources" target="_blank">{{ resources }}</a>
		</div>		
	</div>
  </BaseLayout>
</template>

<script>
import axios from 'axios';
export default {
	data: () => ({
		lesson: {},
		title: '',
		name: '',
		why: null,
		resources: null,
		guide: null,
	}),
	mounted() {
		axios.get(`https://open-academy.sk/cms/api/lessons/slug/?q=${this.$route.params.slugLesson}`).then(res => {
			this.lesson = res.data.data;
			this.name = this.lesson.name;
			this.lesson.content.forEach(item => {
				if(item.block_name == "@why") this.why = item.block_content;				
				if(item.block_name == "@guide") this.guide = item.block_content.replace('watch?v=', 'embed/') + '?enablejsapi=1';
				if(item.block_name == "@resources") this.resources = item.block_content;
			});
		})
		axios.get(`https://open-academy.sk/cms/api/courses/slug/?q=${this.$route.params.slugCourse}`).then(res => {
			this.title = res.data.data.name
		})
	},
}
</script>

<style scoped>
.video-background {
    width: 100vw;
    height: calc(100vw / 16 * 9);
    max-height: 550px;
    background-color: black;
}
.video-wrapper, iframe {
    width: 100%;
    height: 100%;
}
.course-content-title-wrapper {
	border-bottom: 1px solid #ccc;
}
</style>